import request from '@/utils/request'

/**
 * 项目列表
 * @param {*} query 
 * @returns 
 */
export function selectDataProject(data) {
  return request({
    url: '/core/tdataproject/selectDataProject',
    method: 'post',
    data: data
  })
}

export function checkProjectNum(data) {
  return request({
    url: '/core/tdataproject/checkProjectNum',
    method: 'post',
    data: data
  })
}
export function getdatascopeprojectlist(data) {
  return request({
    url: '/core/datascopeproject/getdatascopeprojectlist',
    method: 'post',
    data: data
  })
}
export function checkDatasystemName(data) {
  return request({
    url: '/core/tdataproject/checkDatasystemName',
    method: 'post',
    data: data
  })
}

export function checkDatasystem(data) {
  return request({
    url: '/core/tdataproject/checkDatasystem',
    method: 'post',
    data: data
  })
}


export function queryByEditSort(data) {
  return request({
    url: '/core/tdatasource/queryByEditSort',
    method: 'post',
    data: data
  })
}
export function selectProDataSource(data) {
  return request({
    url: '/core/tdatasource/selectProDataSource',
    method: 'post',
    data: data
  })
}

export function queryShemas(data) {
  return request({
    url: '/core/searchsensitivedata/queryShemas',
    method: 'post',
    data: data
  })
}

export function getAllDataAreaAndRule(data) {
  return request({
    url: '/core/tdataarea/getAllDataAreaAndRule',
    method: 'post',
    data: data
  })
}

export function addDataProject(data) {
  return request({
    url: '/core/tdataproject/addDataProject',
    method: 'post',
    data: data
  })
}
export function deleteDataProject(data) {
  return request({
    url: '/core/tdataproject/deleteDataProject',
    method: 'post',
    data: data
  })
}
export function getDataProjectDetail(data) {
  return request({
    url: '/core/tdataproject/getDataProjectDetail',
    method: 'post',
    data: data
  })
}

export function updateDataProject(data) {
  return request({
    url: '/core/tdataproject/updateDataProject',
    method: 'post',
    data: data
  })
}
export function showProxyInfo(data) {
  return request({
    url: '/core/encryptionconfig/showProxyInfo',
    method: 'post',
    data: data
  })
}
export function saveProxyJarInfo(data) {
  return request({
    url: '/core/encryptionconfig/saveProxyJarInfo',
    method: 'post',
    data: data
  })
}

export function getProjectTree(data) {
  return request({
    url: '/core/encryptionconfig/getProjectTree',
    method: 'post',
    data: data
  })
}


export function getEncryptExcel(data) {
  return request({
      url: '/core/encryptionconfig/getEncryptExcel',
      method: 'post',
      data: data,
      responseType: 'blob' //
    })
}
export function checkEncryptExcel(data) {
  return request({
    url: '/core/encryptionconfig/checkEncryptExcel',
    method: 'post',
    data: data
  })
}

export function exportToExcel(data) {
  return request({
    url: '/core/encryptionconfig/exportToExcel',
    method: 'post',
    data: data,
    responseType: 'blob' //
  })
}

export function tdatasourceQuery(data) {
  return request({
    url: '/core/tdatasource/query',
    method: 'post',
    data: data
  })
}
export function queryShemasmodifysubsettask(data) {
  return request({
    url: '/core/modifysubsettask/queryShemas',
    method: 'post',
    data: data
  })
}
export function rowsensitivelevelType(type,data) {
  return request({
    url: '/core/rowsensitivelevel/' + type,
    method: 'post',
    data: data
  })
}




